FB Comments
List FB comment automations
Use this to find automation ids before inspecting one with fbComments.get or changing one with fbComments.update. Returns automations in this workspace.
GET
/
v1
/
fb-comments
List FB comment automations
curl --request GET \
--url https://app.chatbotx.io/api/v1/fb-comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/fb-comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/fb-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"type": "messenger",
"isActive": true,
"startTime": "<string>",
"endTime": "<string>",
"repliesCount": -1,
"sentCount": -1,
"deliveredCount": -1,
"seenCount": -1,
"clickedCount": -1,
"failedCount": -1,
"missedCount": -1,
"post": {
"type": "published",
"value": [
"<string>"
]
},
"privateReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"publicReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"includeKeywords": {
"type": "all",
"value": [
"<string>"
]
},
"excludeKeywords": [
"<string>"
],
"options": {
"replyToNewContactsOnly": true,
"replyOncePerUserPerPost": true,
"likeUserComment": true,
"replyToUsersWhoCommentedOnOtherPosts": true,
"ignoreCommentReplies": true,
"trackUserTags": true
},
"hideComments": {
"all": true,
"hasPhoneNumber": true,
"hasImage": true,
"hasVideo": true,
"hasLink": true,
"hasKeywords": true,
"keywords": [
"<string>"
],
"showCommentsAfter": "none"
},
"replyAfter": {
"type": "immediately",
"value": 123
},
"folderId": "<string>"
}
],
"pageCount": 0
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, starting at 1.
Required range:
1 <= x <= 9007199254740991Number of items per page, up to 50.
Required range:
1 <= x <= 50Sort order.
Show child attributes
Show child attributes
Case-insensitive substring match against the automation's name.
Restrict to this folder.
Pattern:
^\d+$Restrict to enabled or disabled automations.
Was this page helpful?
⌘I
List FB comment automations
